A2A AgentCard projection of the canonical alignment card.
curl --request GET \
--url https://api.mnemom.ai/v1/agents/{agent_id}/a2a-agent-cardimport requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/a2a-agent-card"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/a2a-agent-card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": "<unknown>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"version": "<string>",
"capabilities": {
"streaming": true,
"pushNotifications": true
},
"skills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
]
}
],
"extensions": [
{
"uri": "<string>",
"required": true,
"body": {}
}
],
"metadata": {
"content_hash": "<string>",
"composed_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}A2A
A2A AgentCard projection of the canonical alignment card.
Public discovery surface.
GET
/
agents
/
{agent_id}
/
a2a-agent-card
A2A AgentCard projection of the canonical alignment card.
Path Parameters
Response
A2A AgentCard.
Public JWKS for AAP attestation tokens.Report a false-positive or false-negative against a protection recipe
⌘I